petsc-3.15.0 2021-03-30
Report Typos and Errors

# DMFindRegionNum

Find the region number for a given PetscDS, or -1 if it is not found.

### Synopsis

    #include "petscdm.h"
    #include "petscdmlabel.h"
    #include "petscds.h"
    PetscErrorCode DMFindRegionNum(DM dm, PetscDS ds, PetscInt *num)

Not collective

### Input Parameters

| dm | - The DM
| ds | - The PetscDS defined on the given region

### Output Parameter

| num | - The region number, in [0, Nds), or -1 if not found

### See Also

DMGetRegionNumDS(), DMGetRegionDS(), DMSetRegionDS(), DMGetDS(), DMGetCellDS()

### Level

advanced

### Location

src/dm/interface/dm.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages